BOTCH-ANNOTATE-STRONG(1)

NAME
botch-annotate-strong - add strong dependency information to a dependency graph

SYNOPSIS

botch-annotate-strong [options] buildgraph.xml srcgraph.xml Packages Sources

DESCRIPTION
Annotates buildgraph.xml and srcgraph.xml with strong dependency information. Strong dependencies are calculated for binary and source packages from the information given in Packages and Sources.

OPTIONS

--version
    show program's version and exit

-h, --help
    show this help message and exit

-v, --verbose
    print additional information

--quiet
    do not print any messages

--deb-drop-b-d-indep
    Drop Build-Depends-Indep dependencies

--deb-drop-b-d-arch
    Drop Build-Depends-Arch dependencies

--deb-native-arch=arch
    Native architecture arch.

--deb-host-arch=arch
    Host architecture arch. Defaults to native architecture.

--deb-foreign-archs=archs
    Comma-separated foreign architectures in addition to native and host architectures.

--bg=Packages
    Additional Packages lists that are checked and used for resolving dependencies (can be repeated)

--fg=Packages
    Additional Packages lists that are NOT checked but used for resolving dependencies (can be repeated)

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.